Skip to main content

サブモジュール

モジュールの内容

このモジュールは、X API の activity エンドポイントへのアクセスを提供します activity-related のすべての機能の主要なエントリポイントとして機能します。

class xdk.activity.ActivityClient

Streaming Client for activity operations

パラメーター

Client

__init__

パラメーター

Client

create_subscription

Create X activity subscription Creates a subscription for an X activity event body: Request body :returns: レスポンスデータ :rtype: CreateSubscriptionResponse

パラメーター

CreateSubscriptionRequest

delete_subscription

Deletes X activity subscription Deletes a subscription for an X activity event

パラメーター

Any
The ID of the subscription to delete.

戻り値

DeleteSubscriptionResponse - Response data

get_subscriptions

Get X activity subscriptions Get a list of active subscriptions for XAA :returns: レスポンスデータ :rtype: GetSubscriptionsResponse

戻り値

GetSubscriptionsResponse

stream

Activity Stream (Streaming) Stream of X Activities This is a streaming endpoint that yields data in real-time as it becomes available. Each yielded item represents a single data point from the stream. The connection is automatically managed with exponential backoff retry logic. If the stream disconnects, the SDK will automatically reconnect without client intervention.

パラメーター

int or None
default:"None"
The number of minutes of backfill requested.
str or None
default:"None"
YYYY-MM-DDTHH:mm:ssZ. The earliest UTC timestamp from which the Post labels will be provided.
str or None
default:"None"
YYYY-MM-DDTHH:mm:ssZ. The latest UTC timestamp from which the Post labels will be provided.
StreamConfig
Optional StreamConfig for customizing retry behavior, timeouts, and callbacks.

update_subscription

Update X activity subscription Updates a subscription for an X activity event

パラメーター

Any
The ID of the subscription to update.
UpdateSubscriptionRequest
Request body